<?php

namespace App\Exceptions;

use Exception;

class CouldNotSendSmsException extends Exception
{
    protected static $errorCodes = [
        '-1' => 'Enterprise Id Missing',
        '-2' => 'User Id Missing',
        '-3' => 'Password Missing',
        '-4' => 'Content type Missing',
        '-5' => 'Sender Missing',
        '-6' => 'MSISDN Missing',
        '-7' => 'Message Text Missing',
        '-8' => 'Message Id Missing',
        '-9' => 'WAP Push URL Missing',
        '-10' => 'Authentication Failed',
        '-11' => 'Service Blocked for User',
        '-12' => 'Repeated Message Id Received',
        '-13' => 'Invalid Content Type Received',
        '-14' => 'International Messages Not Allowed',
        '-15' => 'Incomplete or Invalid XML Packet Received',
        '-16' => 'Invalid DND Flag value',
        '-17' => 'Direct Pushing Not Allowed',
        '-18' => 'CLI not registered',
        '-19' => 'Operator Specific MSISDN Blocked',
        '-41' => 'Acl_Error_Invalid_Shorten',
        '-42' => 'Acl_Error_Shortening_Not_Allowed',
        '-43' => 'Acl_Error_Invalid_Domain',
        '-44' => 'Acl_Error_Invalid_Alias',
        '-45' => 'Acl_Error_Invalid_Forward',
        '-46' => 'Acl_Error_Forward_Not_Allowed',
        '-75' => 'Incomplete or Invalid JSON Packet Received'
    ];
    public static function serviceRespondedWithAnApiError($response)
    {
        //dd($response);
        return new static(self::$errorCodes[$response['error']] , 422);
    }


}
