<?php


namespace App\Exceptions;


use Illuminate\Http\Response;
use Tymon\JWTAuth\Exceptions\JWTException;
use Illuminate\Http\Client\RequestException;
use Illuminate\Validation\ValidationException;
use Illuminate\Http\Client\ConnectionException;
use Tymon\JWTAuth\Exceptions\TokenExpiredException;
use Tymon\JWTAuth\Exceptions\TokenInvalidException;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Symfony\Component\HttpKernel\Exception\MethodNotAllowedHttpException;

trait ExceptionTrait
{
    public function apiExceptions($exception)
    {
//dd($exception);

        //dd($exception);
        if($exception instanceof ConnectionException ) {
            return response()->jsonError(Response::HTTP_REQUEST_TIMEOUT,'Connection Timeout');
        }
        if ($exception instanceof RequestException )
        {
            return response()->jsonError($exception->getCode(),'Client or server error occurs');
        }
        if ($exception instanceof NotFoundHttpException )
        {
            return response()->jsonError($exception->getStatusCode(),'404 Not Found');
        }
        if ($exception instanceof MethodNotAllowedHttpException  )
        {
            //dd($exception);
            return response()->jsonError($exception->getStatusCode(),$exception->getMessage());
        }

        if ($exception instanceof ModelNotFoundException  )
        {
            //dd($exception);
            return response()->jsonError(404,'Resource Not Found');

        }

        if ($exception instanceof CouldNotSendSmsException  )
        {
            return response()->jsonError($exception->getCode(),$exception->getMessage());
        }

        if ($exception instanceof InvalidMobileNumberException  )
        {
            return response()->jsonError($exception->getCode(),$exception->getMessage());
        }

        if ($exception instanceof ValidationException) {
            return response()->jsonError(422,$exception->validator->errors());
        }

        if ($exception instanceof \Tymon\JWTAuth\Exceptions\TokenBlacklistedException)
        {
            return response()->jsonError(400,$exception->getMessage());
        }

        if ($exception instanceof TokenExpiredException)
        {
            return response()->jsonError(400, $exception->getMessage());
        }
        if ($exception instanceof TokenInvalidException)
        {
            return response()->jsonError(400,$exception->getMessage());
        }
        if ($exception instanceof JWTException)
        {
            //dd($exception,'JWTException');
            return response()->jsonError(400,$exception->getMessage());
        }

        if ($exception instanceof \Illuminate\Auth\AuthenticationException){
            return response()->jsonError(401,$exception->getMessage());
        }

    }
}
