<?php

namespace App\Http\Controllers\Api;

use App\User;
use App\Facades\AclSms;
use App\Http\Controllers\Controller;
use App\Http\Requests\SendOtpRequest;

class SendOtpController extends Controller
{

    public function sendOtp(SendOtpRequest $request)
    {
        $validated = $request->validated();
        $user = User::where('mobile', $validated['mobile'])->firstOrFail();
        if ($user)
        {
            $otp = random_int(1000,9999);
            AclSms::to($user->mobile)->text('One Time Password is '. $otp)->send();
            $user->otp = $otp;
            $user->save();
            return response()->jsonSuccess(200,[
                'time' => time(),
                'otp' => $otp
            ]);
        }
        return false;
    }
}
