<?php

namespace App\Http\Controllers;

use App\User;
use App\Http\Requests\LoginRequest;
use Tymon\JWTAuth\Exceptions\JWTException;

class AuthController extends Controller
{
    /**
     * Create a new AuthController instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware(['jwt','auth:api'], ['except' => ['login']]);
    }


    public function login(LoginRequest $request)
    {
        $validated = $request->validated();
        //dd($validated);

        $user = User::where('mobile' ,$validated['mobile'])
            ->where('otp' , $validated['otp'])
            ->firstOrFail();
        //dd($user);


        /*if ( ! $user->otpExpired() )
        {
            return response()->apiError(410, 'Either Wrong or Expired OTP');
        }*/

        if (! $token = $this->guard()->login($user) ) {
            return response()->jsonError(401, 'UNAUTHORIZED');
        }
        //dd(auth('api')->user());
        return $this->respondWithToken($token);
    }


    public function me()
    {
        return response()->json($this->guard()->user());
    }


    public function logout()
    {
        $this->guard()->logout();

        return response()->json(['message' => 'Successfully logged out']);
    }


    public function refresh()
    {
        return $this->respondWithToken($this->guard()->refresh());
    }


    protected function respondWithToken($token)
    {
        return response()->json([
            'access_token' => $token,
            'token_type' => 'bearer',
            'expires_in' => $this->guard()->factory()->getTTL() * 60
        ]);
    }

    public function guard()
    {
        return auth()->guard('api');
    }

    public function payload()
    {
        return $this->guard()->payload();
    }
}
