<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RegisterFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type' => 'required',
            'first_name' => 'required_if:type,individual',
            'last_name' => 'required_if:type,individual',
            'mobile' => 'required|digits:10|unique:users,mobile',
            'pan' => 'required',
            'email' => 'required|email|unique:users,email',
            'company_name' => 'required_if:type,company'
        ];
    }
}
