<?php


namespace App\Mixins;


use Illuminate\Support\Facades\Response;

class ResponseMixins
{
    public function jsonError()
    {
        return function ($code, $message) {
           return response()->json([
                'status' => 'error',
                'statusCode' => $code,
                'data' => $message
            ], $code);
        };
    }

    public function jsonSuccess()
    {
        return function ($code, $message) {
            return response()->json([
                'status' => 'success',
                'statusCode' => $code,
                'data' => $message
            ], $code);
        };
    }
}
