<?php

namespace App\Providers;

use Illuminate\Support\Str;
use App\Mixins\StrMixins;
use App\Mixins\ResponseMixins;
use Illuminate\Support\ServiceProvider;
use Illuminate\Routing\ResponseFactory;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->app->singleton('aclsms', function( $app) {
            return new \App\Services\AclSms();
        });

        Str::mixin(new StrMixins());
        ResponseFactory::mixin(new ResponseMixins());
    }
}
