<?php


namespace App\Services;


use Illuminate\Support\Facades\Http;
use App\Exceptions\CouldNotSendSmsException;

class AclSms
{
    private $gateway_url = 'http://push3.aclgateway.com/servlet/com.aclwireless.pushconnectivity.listeners.JsonListener';
    //private $gateway_url = 'http://push3.maccesssmspush.com/servlet/com.aclwireless.pushconnectivity.listeners.TextListener';

    private $configuration = [
        'appid'         => 'demoacl5',
        'userId'        => 'demoacl5',
        'pass'          => 'demoacl5',
        'contenttype'   => '1',
        'from'          => 'ACLALT',
        "selfid"        => "true",
        'intflag'       => 'false',
        'alert'         => '1',
        "dlrreq"        => "true"
    ];

    public function __construct($to = null, $text = null)
    {
        $this->configuration['to'] = $to;
        $this->configuration['text'] = $text;
    }

    /**
     * @param mixed $to
     * @return AclSms
     */
    public function to($to): AclSms
    {
        $this->configuration['to'] = $to;
        return $this;
    }

    public function text($text): AclSms
    {
        $this->configuration['text'] = $text;
        return $this;
    }

    public function send()
    {
        //dd($this->configuration);

        $response = Http::post($this->gateway_url, $this->configuration);
        if ($response->offsetGet('accepted') === false)
        {
            throw CouldNotSendSmsException::serviceRespondedWithAnApiError($response->json());

        }
        return true;
    }
}
