<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::name('api.')->group(function(){
    Route::post('/register', 'RegisterController@register')->name('register');
    Route::post('/sendOtp', 'SendOtpController@sendOtp')->name('sendOtp');
    Route::post('/resendOtp', 'SendOtpController@sendOtp')->name('resendOtp');
    Route::post('login', 'LoginController@login')->name('login');



    Route::middleware('auth:api')->group(function(){
        Route::post('refresh', 'AuthController@refresh')->name('refresh');
        Route::post('me', 'AuthController@me')->name('profile');
        Route::post('payload', 'AuthController@payload')->name('payload');
        Route::post('logout', 'AuthController@logout')->name('logout');
    });
});





